Summary:	Python Packet Capture and Injection Library
Summary(pl.UTF-8):	Biblioteka Pythona do przechwytywania i wstrzykiwania pakietów
Name:		python-pycap
Version:	0.1.6
Release:	7
License:	BSD
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pycap/pycap-%{version}.tar.gz
# Source0-md5:	c90bc5382dede1a941e023e7bc27c473
URL:		http://pycap.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the ability to capture packets from, and inject
packets onto, network interfaces. It supports commonly found protocols
such as Ethernet, PPP, IP, ARP, TCP, UDP, and ICMP.

%description -l pl.UTF-8
Ten pakiet daje możliwość przechwytywania pakietów oraz wstrzykiwania
ich poprzez interfejsy sieciowe. Obsługuje często spotykane protokoły
takie jak Ethernet, PPP, IP, ARP, TCP, UDP i ICMP.

%prep
%setup -q -n pycap-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*.html docs/*.css
%dir %{py_sitedir}/pycap
%{py_sitedir}/*.egg-info
%attr(755,root,root) %{py_sitedir}/pycap/*.so
%{py_sitedir}/pycap/*.py[co]
%dir %{py_sitedir}/pycap/constants
%{py_sitedir}/pycap/constants/*.py[co]
%changelog
* Sat May 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycap.git;a=log;h=master

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> e77a159
- usr rpm python macros
- rel 7

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 60fe29c
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 17d42e4
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 472bdbb
- automatic change: use py_build/py_install macros

* Fri Apr 20 2012 Jan Rękorajski <baggins@pld-linux.org> 70051e9
- release 5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 79a23e9
- release 4

* Thu May 13 2010 sparky <sparky@pld-linux.org> 55dd37d
- BR: libpcap-devel

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 5eee16c
- release 3

* Wed Oct 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 226de23
- release 2

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> d9e2baf
- BR: rpm-pythonprov

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 42afa3b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3c56d8d
- converted to UTF-8

* Tue Dec 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 16fd597
- pl, python epoch

* Sat Dec 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e420c9
- req python >= 2.5 due to egg-info

* Sat Dec 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b13664e
- new

